Package org.eclipse.birt.report.model.api.simpleapi

# Interface IAction

public interface IAction
Script wrapper of `ActionHandle`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormatType()`
Gets the format type of the action.
`String`
`getLinkType()`
Gets the link type of the action.
`String`
`getReportName()`
Gets the name of the target report document if the link type is `ACTION_LINK_TYPE_DRILLTHROUGH`.
`IStructure`
`getStructure()`
Gets the internal structure instance of this action.
`String`
`getTargetBookmark()`
Gets the bookmark link if the link type is `ACTION_LINK_TYPE_BOOKMARK_LINK`.
`String`
`getTargetWindow()`
Gets the name of the target browser window for the link.
`String`
`getURI()`
Gets the identifier of the hyperlink if the link type is `ACTION_LINK_TYPE_HYPERLINK`.
`void`
`setFormatType(String type)`
Sets the format type of the action.
`void`
`setLinkType(String type)`
Sets the link type of the action.
`void`
`setReportName(String reportName)`
Sets target report name for a drill-though link.
`void`
`setTargetBookmark(String bookmark)`
Sets the target bookmark defined within this same report, or another report for a drill-though link.
`void`
`setTargetWindow(String window)`
Sets the target window of the action.
`void`
`setURI(String uri)`
Sets the hyperlink of this action.

## Method Details

### getURI

String getURI()
Gets the identifier of the hyperlink if the link type is `ACTION_LINK_TYPE_HYPERLINK`. Otherwise, return null.

Returns:
  the URI link expression in a string

### getTargetWindow

String getTargetWindow()
Gets the name of the target browser window for the link. (Optional.) Used only for the Hyperlink and Drill Through options. Otherwise, return null.

Returns:
  the window name

### getLinkType

String getLinkType()
Gets the link type of the action. The link type are defined in DesignChoiceConstants and can be one of the following:

- `ACTION_LINK_TYPE_NONE`
- `ACTION_LINK_TYPE_HYPERLINK`
- `ACTION_LINK_TYPE_DRILLTHROUGH`
- `ACTION_LINK_TYPE_BOOKMARK_LINK`

Returns:
  the string value of the link type
See Also:
  - `DesignChoiceConstants`

### setLinkType

void setLinkType(String type) throws SemanticException
Sets the link type of the action. The link type are defined in DesignChoiceConstants and can be one of the following:

- `ACTION_LINK_TYPE_NONE`
- `ACTION_LINK_TYPE_HYPERLINK`
- `ACTION_LINK_TYPE_DRILLTHROUGH`
- `ACTION_LINK_TYPE_BOOKMARK_LINK`

Parameters:
  `type` - type of the action.
Throws:
  `SemanticException` - if the `type` is not one of the above.

### setFormatType

void setFormatType(String type) throws SemanticException
Sets the format type of the action. The format type for action are defined in DesignChoiceConstants and can be one of the following: *

- `ACTION_FORMAT_TYPE_HTML`
- `ACTION_FORMAT_TYPE_PDF`

Parameters:
  `type` - the type of the action
Throws:
  `SemanticException`

### getFormatType

String getFormatType()
Gets the format type of the action. The format type for action are defined in DesignChoiceConstants and can be one of the following: *

- `ACTION_FORMAT_TYPE_HTML`
- `ACTION_FORMAT_TYPE_PDF`

Returns:
  the format type of the action

### setTargetWindow

void setTargetWindow(String window) throws SemanticException
Sets the target window of the action.

Parameters:
  `window` - the target window name
Throws:
  `SemanticException` - if this property is locked.

### setURI

void setURI(String uri) throws SemanticException
Sets the hyperlink of this action. The link type will be changed to `ACTION_LINK_TYPE_HYPERLINK`.

Parameters:
  `uri` - the hyperlink to set
Throws:
  `SemanticException` - if the property is locked.

### getReportName

String getReportName()
Gets the name of the target report document if the link type is `ACTION_LINK_TYPE_DRILLTHROUGH`. Otherwise, return null.

Returns:
  the name of the target report document
See Also:
  - `setReportName(String)`

### setReportName

void setReportName(String reportName) throws SemanticException
Sets target report name for a drill-though link. The link type will be changed to `ACTION_LINK_TYPE_DRILLTHROUGH`. The report name can include relative or absolute names. If the suffix is omitted, it is computed on the server by looking for a matching report. BIRT reports are searched in the following order: 1) a BIRT report document or 2) a BIRT report design.

Parameters:
  `reportName` - the name of the target report
Throws:
  `SemanticException` - if the property is locked.
See Also:
  - `getReportName()`

### getTargetBookmark

String getTargetBookmark()
Gets the bookmark link if the link type is `ACTION_LINK_TYPE_BOOKMARK_LINK`. Otherwise, return null.

Returns:
  the bookmark link

### setTargetBookmark

void setTargetBookmark(String bookmark) throws SemanticException
Sets the target bookmark defined within this same report, or another report for a drill-though link. Call `setLinkType(String)`to do the link type change, it can either be `ACTION_LINK_TYPE_DRILLTHROUGH` or `ACTION_LINK_TYPE_BOOKMARK_LINK`.

Parameters:
  `bookmark` - the bookmark value.
Throws:
  `SemanticException` - if the property is locked.
See Also:
  - `getTargetBookmark()`

### getStructure

IStructure getStructure()
Gets the internal structure instance of this action.

Returns:
  Action structure instance.